/**
 * 序号：1
 * 功能：定义分页(EasyUI)
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：无需更改
 **/

var ls_width = $(window).width();
var ls_height = $(window).height();

$(window).resize(function(){
	ls_width = $(window).width();
	ls_height = $(window).height();
});

var local_page=1;
var rows=20;
var listPageSize = [10,20,50,100,500,1000];
var queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
var tab_n = 0;

//重置分页参数
function resetQueryData(){
	queryData = "";
	queryData = eval("({'page':'"+local_page+"','rows':'"+rows+"'})");
}

//定义用户全局参数
var ls_choice_ope = 1;//当前选组织窗口返回值的作用 1：用于人员调入 2：用于单位排序 3：用于单位选取
var ls_uuids = "";
var ls_userids = "";
/****/

/**
 * 序号：2
 * 功能：构建下拉框内容
 * 参数：
 * 说明：方便新增、修改页面里的下拉选项加载数据
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/

/****/

/**
 * 序号：3
 * 功能：构建主页面列表
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
//定义grid列表
$('#list').datagrid({
		title:"调动信息",
	    iconCls:$.getJwWindowPic(),
	    url:'jwAppsMoveData_list',
	    queryParams:{FIELD_NOA:'A'},//查询参数
		rownumbers : true,//显示索引号
		singleSelect : false,//是否多选
		fitColumns : true,//是否撑满
		autoRowHeight : 30,//设定高度
		pagination : true,//分页显示
		pageSize : rows,//显示行数
		pageList : listPageSize,//条数选择
		striped : true, //是否隔行显示
		remoteSort : false,//是否从服务器排序
		frozenColumns : [[
				{
					field : 'ck',
					checkbox : true
				}
				       ]],
		columns : [ [
				{
					field : 'APPLY_USER_LOGINID',
					title : '调出人员ID',
					width : 100,
					align : 'center'
				}, {
					field : 'APPLY_USER_NAME',
					title : '调出人员',
					width : 100,
					align : 'center'
				}, {
					field : 'OUT_UNIT_UUID_NAME',
					title : '调出单位',
					width : 100,
					align : 'center'
				}, {
					field : 'OUT_AUDIT_USER_NAME',
					title : '调出操作人',
					width : 100,
					align : 'center'
				}, {
					field : 'OUT_AUDIT_TIME',
					title : '调出时间',
					width : 100,
					align : 'center'
				}
				] ],
		toolbar : '#tb',
		onLoadSuccess : function(data) {
		}
});

/****/

/**
 * 序号：4
 * 功能：刷新
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function refreshRow(){
	$('#list').datagrid('load',{FIELD_NOA:'A'});
	$("#Movetab_searchForm")[0].reset();
}
/****/

/**
 * 序号：5
 * 功能：查询
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function searchRow(){
	var v_query = $("#Movetab_searchForm").getFormVal();
	$('#list').datagrid('load',v_query);
}
/****/

/**
 * 序号：6
 * 功能：人员调入
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function MoveInRow(){
	var uuids = "";
    var userids = "";
    var rows = $('#list').datagrid('getSelections');
    for(var i=0; i<rows.length; i++){
	   uuids = uuids + rows[i].UUID+",";
	   userids = userids + rows[i].USERID+",";
    }
    if(rows == null || rows == ""){
	   $.messager.alert('提示',"请选择一行!");
	   return;
    }
    if(uuids.length>0){
	  uuids = uuids.substring(0, uuids.length - 1);
	  ls_uuids = uuids;
    }
    if(userids.length>0){
	  userids = userids.substring(0, userids.length - 1);
	  ls_userids = userids;
    }
    choiceUnit('','true','1');
}

/**
 * 序号：7
 * 功能：单位弹出框选择
 * 参数：
 * 说明：
 * 作者：高伟杰
 * 时间：2016-01-22
 * 单位：宁波金网
 * 备注：需更改
 **/
function choiceUnit(uuid,singleSelect,ope){//编辑框上弹出单位选择
	ls_choice_ope = ope;
   var is_title = "单位选择";
   var modifyUrl = gaowj.WEB_APP_NAME+"/jwAppsUnitView_unitChoice?singleSelect="+singleSelect+"&ope="+ope;
   openViewIframRow("unitTabChoice",modifyUrl,null,is_title,true,0.95,0.95,0,0);
	
}


//选单位和人员后回调方法
function closeCallback(is_entity){
	var ret_uuids = $('#return_text').text();
	if(ret_uuids==''||ret_uuids==null||ret_uuids==undefined){
	   return;
	}
    if(ls_choice_ope=="1"){
		if(ret_uuids.length>0){
		   var v_entity = {};
		   v_entity.FIELD_USERID_1 = ls_userids;
		   v_entity.FIELD_UNIT_ID = ret_uuids;
		   v_entity.FIELD_UUIDS = ls_uuids;
		   var v_result = jwAppUserModel.jwAppsUserActAction.MoveInUser(v_entity); 
		   $('#list').datagrid('reload');
		   $.messager.alert('提示',v_result.VALUE);
		}
	}
	  

}
/****/